Bug 108061 - System hangs at devlabel (PCI - USB problems)
System hangs at devlabel (PCI - USB problems)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-27 04:02 EST by Bruno De Wolf
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Mosberger's fix for BTC keyboards (462 bytes, patch)
2004-03-16 23:51 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Bruno De Wolf 2003-10-27 04:02:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
Boot process hangs in rc.sysinit at 'devlabel'. 

1. If I boot with option 'pci=off', the system boots, but my usb mouse does not
function. Moreover, I can not load my usb-related modules in this case (insmod
usb-uhci fails).
2. If I boot with normal options, the boot process hangs in rc.sysinit at
'devlabel' execution. If I comment this out, rc.sysinit hangs at other steps
(like soundcard detection or at the 'clean op old files' section). Behaviour is
similar for booting in runlevels 1, 3 and 5.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just boot the system with normal start-up parameters

Actual Results:  System hangs. No visible activity anymore. Keyboard and mouse
do not respond.

Expected Results:  Boot process should proceed without errors.

Additional info:

1. Basic hardware config: packard bell (NEC), Intel P4, 1.7 Gh, 256Mb RAM.
Nvidia graphics card, usb mouse & keyboard. Modem and ethernet card present.

2. I also have a Redhat 7.3 system on the same computer which I kept up to date
and which still works as desired. I can boot FC 0.95 with the last Redhat 7.3
kernel (2.4.20-20.7) without problems.

3. I had the same behaviour with fc0.95test3 with the original kernel (2088). I
updated this morning to kernel 2108 and latest initscripts and kernel utils via
rawhide, but I didn't see any improvement.

4. I am not a hardware expert. You can ask me to send additional info, but
please give some details on the commands to issue and the points to check.

Output of lsusb and lspci commands

[root@orac linux-2.4]# lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
Bus 001 Device 002: ID 1631:5400
Bus 001 Device 003: ID 1631:5002
Bus 001 Device 004: ID 046d:c001 Logitech, Inc. N48/M-BB48 [FirstMouse Plus]
[root@orac linux-2.4]# lspci
00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB PCI Bridge (rev 12)
00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 12)
00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 12)
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 12)
00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 12)
00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 12)
00:1f.5 Multimedia audio controller: Intel Corp. 82801BA/BAM AC'97 Audio (rev 12)
00:1f.6 Modem: Intel Corp. Intel 537 [82801BA/BAM AC'97 Modem] (rev 12)
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400]
(rev b2)
02:01.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 43)
Comment 1 Bruno De Wolf 2003-10-30 04:32:50 EST
Just set my system completely up to date. Seems I'm still having the same
problem with kernel-2.4.22-1.2111.nptl.

Kind regards,

Comment 2 Bruno De Wolf 2003-10-30 10:35:27 EST
Seems I was a bit too early and updated just before the release 1 came out.
Anyway, I downloaded kernel-2.4.22-1.2115.nptl, which still gives me the same

Kind regards,
Comment 3 User Reg 2003-12-11 03:44:07 EST
I've similar problem on a Dell 2650 (3.2GHz, 1GB RAM) running Fedora 
Core.  I tried kernel-2.4.22-1.2115.nptlsmp and 2.4.23 (from 
source).  The results were the same.  However, everything works fine 
if booting from a kernel without SMP support (kernel-2.4.22-

Any update ?

Best Regards,
Comment 4 Bruno De Wolf 2003-12-18 15:12:31 EST
I did some testing with the latest kernel (2.4.22-1.2129.nptl) on my
machine. Most of the times, my system now hangs at 'depmod'.
Sometimes, depmod goes fine and the system continous booting until the
'devlabel' part, where it always hangs.

The (latest?) kernel that doesn't cause troubles is 2.4.20-20.9, which
is the latest Redhat 9 kernel AFAIK.

Comment 5 Bruno De Wolf 2004-02-05 03:14:50 EST

Some more information that might be usefull for you.
- I have a strong feeling that this bug is related to bugs 87977 and 
even 91264.
- Booting without my usb keyboard and mouse attached works fine with 
the 2.4.22-1.2149.nptl kernel. But booting with usb keyboard and 
mouse hangs the system.
- Arjan suggests that this might be a bios related issue, but I never 
experienced problems with 2.4.20 kernels and I always have the 
problem with all the 2.4.22 kernels I tested.
- Also, there's the problem explained with nvidia chipsets. But on my 
computer, only the VGA card is from nvidia (see lspci output - though 
I'm not a hardware expert). How can a graphics card have an influence 
on usb devices?

I would be happy to have some related feedback from people who know 
more on this issue than I do.

Kind regards,


Comment 6 Bruno De Wolf 2004-03-04 11:45:24 EST
Did some more testing with the 2.4.22-2174 kernel.

Here is the scenario:
- boot without usb mouse and keyboard
- plugin mouse & keyboar
---> system hangs after a couple of seconds

Here is the system log:
Mar  4 17:32:11 localhost kernel: hub.c: new USB device 00:1f.2-2,
assigned addr ess 2
Mar  4 17:32:11 localhost kernel: hub.c: USB hub found
Mar  4 17:32:11 localhost kernel: hub.c: 2 ports detected
Mar  4 17:32:11 localhost kernel: hub.c: new USB device 00:1f.2-2.1,
assigned ad dress 3
Mar  4 17:32:14 localhost kernel: input: USB HID v1.00 Keyboard [BTC
USB Keyboar d] on usb1:3.0
Mar  4 17:32:14 localhost usb.agent[2437]: missing kernel or user mode
driver us bcore
Mar  4 17:32:14 localhost usb.agent[2437]: missing kernel or user mode
driver us bcore
Mar  4 17:32:15 localhost devlabel: devlabel service started/restarted
Mar  4 17:32:19 localhost kernel: usb_control/bulk_msg: timeout

Kind regards,

Comment 7 Bruno De Wolf 2004-03-15 07:28:55 EST
After some more testing, this problem is traced down to my USB
keyboard. I just compiled a vanilla 2.4.25 and booted with
init=/bin/sh - and the system hangs when plugging in the keyboard.

I also posted this problem in the linux-usb mailing list. Who is the
best person/organization to contact to continue the work on this? 

Thanks for your feedback.

Comment 8 Pete Zaitcev 2004-03-16 23:51:13 EST
Created attachment 98600 [details]
Mosberger's fix for BTC keyboards
Comment 9 Bruno De Wolf 2004-03-23 05:52:19 EST
Thanks Pete,

This solves the problem indeed. I both tested this patch on the fedora
2174 kernel as on a vanilla 2.4.25 kernel. Without the patch, the
system hangs, with the patch, the system goes fine.

Thank you (and the others) for your work on this.

Kind regards,

Comment 11 David Lawrence 2004-09-29 15:35:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.